%define	module	accounts
%define	name	horde-%{module}
%define	version	2.1.1
%define	release	1mdk
%define order	72
#New ADVX macros
%{expand:%(cat  %{_datadir}/ADVX/ADVX-build)}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	The %{module} for Horde framework
License:	GPL
Group:		System/Servers
Source0:	%{module}-%{version}.tar.bz2
Source1:	%{module}-apache.conf.bz2
Source2:	%{module}-horde.conf.bz2
URL:		http://www.horde.org/
Requires:	horde >= horde-2.2.5-2mdk
BuildRequires:	ADVX-build >= 1.2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Accounts is a very simple module which provides two functions:
* To display some user account information ("My Account" summary) including, if possible, an "at a glance" summary of the current forwards and vacation module status.
* To provide a method for grouping some related modules (passwd, forwards, and vacation) together in order to minimize the number of icons on the Horde menu bar (so it will not exceed a reasonable screen width).

Although Accounts can be used by itself, it is normally used along with:
* Forwards
* Passwd
* Vacation

%prep
%setup -q -n %{module}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT

# apache configuration
install -d -m 755 $RPM_BUILD_ROOT%{ap_base}/webapps.d
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{ap_base}/webapps.d/%{order}_%{name}.conf

# horde configuration
install -d -m 755 $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/config/registry.d
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/config/registry.d/%{module}.php

# install files
install -d -m 755 $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}
cp -pR * $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}

# post-install cleanup
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/LICENSE
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/README
rm -rf  $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/docs
rm -rf  $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/po

# remove .htaccess files
find $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module} -name .htaccess -exec rm -f {} \;

# activate configuration files
for file in $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/config/*.dist; do
	mv $file ${file%.dist}
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc README LICENSE docs
# Apache configuration file
%config(noreplace) %{ap_base}/webapps.d/%{order}_%{name}.conf
# Horde configuration file
%config(noreplace) %{ap_htdocsdir}/horde/config/registry.d/%{module}.php
# top level dir and files
%dir %{ap_htdocsdir}/horde/%{module}
%{ap_htdocsdir}/horde/%{module}/*.php
# standard dirs
%{ap_htdocsdir}/horde/%{module}/graphics
%{ap_htdocsdir}/horde/%{module}/lib
%{ap_htdocsdir}/horde/%{module}/templates
%{ap_htdocsdir}/horde/%{module}/locale
# config files
%dir %{ap_htdocsdir}/horde/%{module}/config
%config(noreplace) %{ap_htdocsdir}/horde/%{module}/config/*.php

%changelog
* Sat Sep 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2.1-1mdk 
- first mdk release
